\name{SaveResults}

\alias{SaveResults}
\alias{SaveResults,RolexaRun-method}
\alias{CombineFastQ}
\alias{CombineFastQ,RolexaRun,SolexaPath-method}
\alias{CombineReads}
\alias{CombineReads,RolexaRun,SolexaPath-method}
\title{SaveResults}
\description{Read and write data in a convenient form for Rolexa base-calling}
\usage{
\S4method{SaveResults}{RolexaRun}(run=Rolexa.env,results,outpath,prefix="rs_")
SaveResults(run,...)
\S4method{CombineReads}{RolexaRun,SolexaPath}(run=Rolexa.env,path,pattern="s_[1-8]_0[01][0-9]*_seq*")
CombineReads(run,path,...)
\S4method{CombineFastQ}{RolexaRun,SolexaPath}(run=Rolexa.env,path,pattern="s_[1-8]_0[01][0-9]*",sext="_seq*",pext="_prb*")
CombineFastQ(run,path,...)
}
\arguments{
  \item{run}{a \code{RolexaRun} object defining the run parameters}
  \item{results}{a results list, as given by \code{\link{FilterResults}}
  or \code{\link{SeqScore}}}
  \item{outpath}{a directory name for the output files}
  \item{path}{a \link[ShortRead:SolexaPath-class]{SolexaPath} object}
  \item{prefix}{a prefix string for output file names}
  \item{pattern}{a pattern for selecting Solexa output files, see \link[ShortRead:readXStringColumns]{readXStringColumns}}
  \item{sext}{file extension tag for sequence files \link[ShortRead:readPrb]{readPrb}}
  \item{pext}{file extension tag for prb files, see }
  \item{\dots}{additional arguments, ignored}
}
\details{
  \code{CombineReads} reads "\_seq" files and splits the columns to
  create a \link[ShortRead:ShortRead-class]{ShortRead} object,
  \code{CombineFastQ} reads "\_seq" and "\_prb" files and combines them
  into a \link[ShortRead:ShortReadQ-class]{ShortReadQ} object,
  \code{SaveResults} creates a \link[ShortRead:ShortReadQ-class]{ShortReadQ}
  objects from the output of \code{FilterResults} and writes it to a
  file using \link[ShortRead:readFastq]{writeFastq}.
}
\value{
  \code{CombineReads} returns a \link[ShortRead:ShortRead-class]{ShortRead} object, \code{CombineFastQ} returns a \link[ShortRead:ShortReadQ-class]{ShortReadQ} object, 
}
\references{Probabilistic base calling of Solexa sequencing data, BMC Bioinformatics 2008, 9:431}
\author{Jacques Rougemont, Arnaud Amzallag, Christian Iseli, Laurent Farinelli, Ioannis Xenarios, Felix Naef}
\seealso{\link[ShortRead:readFastq]{readFastq} to read fastq files,
  \code{\link{SeqScore}} and \code{\link{FilterResults}} to
  produce results for \code{SaveResults}}
\keyword{IO}
\keyword{datagen}
